aboutsummaryrefslogtreecommitdiff
path: root/debian/taler-merchant.prerm
diff options
context:
space:
mode:
Diffstat (limited to 'debian/taler-merchant.prerm')
-rw-r--r--debian/taler-merchant.prerm18
1 files changed, 18 insertions, 0 deletions
diff --git a/debian/taler-merchant.prerm b/debian/taler-merchant.prerm
new file mode 100644
index 00000000..84d4c486
--- /dev/null
+++ b/debian/taler-merchant.prerm
@@ -0,0 +1,18 @@
+#!/bin/sh
+
+set -e
+
+
+if [ -f /usr/share/debconf/confmodule ]; then
+ . /usr/share/debconf/confmodule
+fi
+. /usr/share/dbconfig-common/dpkg/prerm
+
+if [ -f /usr/share/dbconfig-common/dpkg/prerm.pgsql ]; then
+ . /usr/share/dbconfig-common/dpkg/prerm.pgsql
+ dbc_go taler-merchant "$@"
+fi
+
+
+db_stop
+exit 0